#include <zlib.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

int gzDecompress(char *dest, int *destLen, char *src, int srcLen) {
	z_stream zStream;
	memset(&zStream, 0, sizeof(z_stream));
	zStream.next_in=src;
	zStream.avail_in=srcLen;
	zStream.next_out=dest;
	zStream.avail_out=*destLen;
	int res=inflateInit2(&zStream, 15+32);
	if (res!=Z_OK) {
		printf("Error initializing zlib deflate stream: %s (%i)\n",zStream.msg, res);
		exit(1);
	}
	while(res==Z_OK) res=inflate(&zStream, Z_FINISH);
	inflateEnd(&zStream);
	if (res==Z_STREAM_END) res=Z_OK;
	if (res!=Z_OK) {
		printf("Zlib error: %s\n", zStream.msg);
	}
	*destLen=zStream.total_out;
	return res;
}


int gzCompress(char *dest, int *destLen, char *src, int srcLen) {
	//stub
//	int res=deflateInit2(&zStream, Z_DEFAULT_COMPRESSION, Z_DEFLATED, (15+16), 8, Z_DEFAULT_STRATEGY);
	return Z_BUF_ERROR;
}
