#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "ini.h"

//Quick and dirty implementation of an ini file reader.

iniHandle iniOpenFile(char *file) {
	return fopen(file, "r");
}

int iniGetInt(iniHandle f, char *section, char *key) {
	char buff[1024];
	if (!iniGetStr(f, section, key, buff)) return -1;
	return strtol(buff, NULL, 0);
}

int iniGetStr(iniHandle f, char *section, char *key, char *result) {
	char buff[1024];
	char currSection[1024];
	char *end;
	strcpy(currSection, "");
	rewind(f);
	while(fgets(buff, sizeof(buff), f)) {
		//Kill final 'n
		if (buff[strlen(buff)-1]=='\n') buff[strlen(buff)-1]=0;
		//See if the line is a section header
		if (buff[0]=='[') {
			end=strstr(buff, "]");
			if (!end) {
				fprintf(stderr, "Malformed line in ini file: %s\n",buff);
			} else {
				*end=0;
				strcpy(currSection, buff+1);
			}
		} else {
			//See if the line is an assignment line
			end=strstr(buff, "=");
			if ((end!=NULL) && (strcasecmp(section, currSection)==0)) {
				*end=0; //zero out =, buff now is the var name
				end++;	//end is now the value behind the =
				if (strcasecmp(buff, key)==0) {
					strcpy(result, end);
					return 1;
				}
			}
		}
	}
	fprintf(stderr,"Couldn't find key '%s' in section '%s'!\n", key, section);
	return 0;
}

void iniCloseFile(iniHandle f) {
	fclose(f);
}