#ifndef PLFHEADER_H
#define PLFHEADER_H

typedef struct {
	unsigned int magic;
	unsigned int unk1;
	unsigned int unk2; //0x38
	unsigned int unk3; //0x14
	unsigned int type; //1-executable, 2=archive
	unsigned int entryPoint; //from start of ram
	unsigned int devType; //0=car kit, 1=bt sound, 3=dpf
	unsigned int modelNo; //differs per type of hw
	unsigned int unk4; //0x0
	unsigned int verMaj;
	unsigned int verMin;
	unsigned int verRev;
	unsigned int unk5; //0x0
	unsigned int fileLen;
} plfFileHeader;

typedef struct {
	unsigned int type; //0=code, 4=gzip, 5=path
	unsigned int length;
	unsigned int checksum; //standard crc32
	unsigned int loadAddr;
	unsigned int uncompSize; //size when uncompressed, for gzips
} plfSectionHeader;

#endif